class mutIncreaseJump extends Mutator;

var int MultiJumpCount, MultiJumpBoost, StartingHealth, MaximumHealth, SuperDuberMaximumHealth; // The number of multi-jumps allowed
//The boost the player gets from a multi-jump and the player's starting health

function ModifyPlayer(Pawn Other)
{
  //This grabs the player object and references x to it
  local xPawn x; //x is a variable
  x = xPawn(Other); 
  
  if (x != None)
  {
    x.MaxMultiJump = MultiJumpCount;
    x.MultiJumpBoost = MultiJumpBoost;
    x.Health = StartingHealth;
    x.HealthMax = MaximumHealth;
    x.SuperHealthMax = SuperDuberMaximumHealth;
  }
  
  // YOU FORGOT TO CALL THE SUPERCLASS! THIS BREAKS THE MUTATOR CHAIN

}

defaultproperties
{
  MultiJumpCount=10
  MultiJumpBoost=50
  StartingHealth=250
  MaximumHealth=250
  SuperDuberMaximumHealth=500
  GroupName="mutIncreaseJump"
  FriendlyName="Player Jump'n'Health Package" // This is the name of the Mutator that will display in game
  Description="Changes your initial health and Multi-Jumping ability"
}