class mutRegenPlus extends Mutator;

var() float RegenPerSecond;

// Don't call Actor PreBeginPlay() for Mutator (omit Super.PreBeginPlay();)
event PreBeginPlay()
{
    SetTimer(1.0,true);
}

function Timer() //Fires each time SetTimer ticks off.
{
    local Controller C;

    for (C = Level.ControllerList; C != None; C = C.NextController)
    {
    if (C.Pawn != None && C.Pawn.Health < C.Pawn.HealthMax*2 )
        {
            C.Pawn.Health = Min( C.Pawn.Health+RegenPerSecond, C.Pawn.HealthMax*2 );
        }
    }
}

defaultproperties
{
  RegenPerSecond=20
  GroupName="Regen"
  Friendlyname="Regeneration Plus"
  Description="All players regenerate health to superhealth limits at 20 Health per second."
}