class MQPUtilities extends Mutator;

var() float SpeedIncrease;

function PreBeginPlay()
{
    SetTimer(1.0,true);
}

function Timer()
{
    local Controller C;

    for (C = Level.ControllerList; C != None; C = C.NextController)
    {
    if (C.Pawn != None)
        {
            if((C.Pawn.GroundSpeed + SpeedIncrease) > 440)
            	C.Pawn.GroundSpeed = 440;
            else
            	C.Pawn.GroundSpeed += SpeedIncrease;
            
        }
    }
}

defaultProperties
{
    SpeedIncrease=5
    GroupName="MQPUtilities"
    FriendlyName="MQPUtilities"
    Description="Sets up Speed Regen."
}